<?php

namespace Drupal\react_doc_viewer\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Routing\RouteMatchInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Returns responses for react doc viewer routes.
 */
class ReactDocViewerController extends ControllerBase {

/**
 * The current route match.
 *
 * @var \Drupal\Core\Routing\RouteMatchInterface
 */
protected $routeMatch;
 /**
  * @param \Drupal\Core\Routing\CurrentRouteMatch $route_match
  *   The route match service.
  */

public function __construct(RouteMatchInterface $route_match) {
  $this->routeMatch = $route_match;
}

public static function create(ContainerInterface $container) {
  return new static(
  $container->get('current_route_match'),
  );
}

  /**
   * Builds the response.
   */
  public function build() {
    return [
      '#markup' => '<div id="rdv-main__react"></div>',
      '#attached' => [
        'library' => 'react_doc_viewer/react_doc_viewer'
      ]
    ];
  }

  public function getTitle()
  {
    $fid = $this->routeMatch->getParameter('fid');
    $file = \Drupal\file\Entity\File::load($fid);
    return $file->getFilename();
  }

}
